<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - salidacoverage.info - /home/qhxar/Desktop/TPI/tpi-algoritmos-i/test/laCasaEstaQuedandoChicaTEST.cpp</title>
  <link rel="stylesheet" type="text/css" href="../../../../../../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../../../../../../index.html">top level</a> - <a href="index.html">home/qhxar/Desktop/TPI/tpi-algoritmos-i/test</a> - laCasaEstaQuedandoChicaTEST.cpp<span style="font-size: 80%;"> (source / <a href="laCasaEstaQuedandoChicaTEST.cpp.func-sort-c.html">functions</a>)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">salidacoverage.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">40</td>
            <td class="headerCovTableEntry">42</td>
            <td class="headerCovTableEntryHi">95.2 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2019-06-10 10:35:58</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">18</td>
            <td class="headerCovTableEntry">18</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr><td><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <table cellpadding=0 cellspacing=0 border=0>
    <tr>
      <td><br></td>
    </tr>
    <tr>
      <td>
<pre class="sourceHeading">          Line data    Source code</pre>
<pre class="source">
<a name="1"><span class="lineNum">       1 </span>            : #include &quot;../definiciones.h&quot;</a>
<span class="lineNum">       2 </span>            : #include &quot;../Funciones_TPI.h&quot;
<span class="lineNum">       3 </span>            : #include &quot;../ejercicios.h&quot;
<span class="lineNum">       4 </span>            : #include &quot;gtest/gtest.h&quot;
<span class="lineNum">       5 </span>            : #include &lt;iostream&gt;
<span class="lineNum">       6 </span>            : #include &lt;string&gt;
<span class="lineNum">       7 </span>            : #include &lt;math.h&gt;
<span class="lineNum">       8 </span>            : 
<span class="lineNum">       9 </span>            : using namespace std;
<span class="lineNum">      10 </span>            : 
<span class="lineNum">      11 </span>            : #define UMBRAL 0.0001
<span class="lineNum">      12 </span>            : 
<a name="13"><span class="lineNum">      13 </span>            : </a>
<span class="lineNum">      14 </span>            : // todo valido, calculo algunos valores
<span class="lineNum">      15 </span><span class="lineCov">         35 : TEST(laCasaEstaQuedandoChicaTEST, todos50) {</span>
<span class="lineNum">      16 </span>            : 
<span class="lineNum">      17 </span>            : //                          Región\ +500 /Tipo
<span class="lineNum">      18 </span>            : //                                 v  v  v
<span class="lineNum">      19 </span>            :     eph_h th = {{334,  2017, 1, 1, 1, 0, 1, 2, 1, 2},
<span class="lineNum">      20 </span>            :                 {960,  2017, 1, 1, 1, 0, 1, 2, 1, 2},
<span class="lineNum">      21 </span>            :                 {1366, 2017, 1, 2, 2, 0, 1, 2, 1, 2},
<span class="lineNum">      22 </span>            :                 {1250, 2017, 1, 3, 2, 1, 1, 2, 1, 2}, // Esta no: +500
<span class="lineNum">      23 </span>            :                 {1550, 2017, 1, 3, 2, 0, 1, 2, 1, 2},
<span class="lineNum">      24 </span>            :                 {1388, 2017, 1, 3, 3, 0, 1, 2, 1, 2},
<span class="lineNum">      25 </span>            :                 {118,  2017, 1, 3, 3, 0, 1, 2, 1, 2},
<span class="lineNum">      26 </span>            :                 {1500, 2017, 1, 3, 4, 0, 1, 2, 1, 2},
<span class="lineNum">      27 </span>            :                 {500,  2017, 1, 3, 4, 0, 4, 2, 1, 2}, // Esta no: Hotel
<span class="lineNum">      28 </span>            :                 {961,  2017, 1, 1, 4, 0, 1, 2, 1, 2},
<span class="lineNum">      29 </span>            :                 {66,   2017, 1, 2, 5, 0, 1, 2, 1, 2},
<span class="lineNum">      30 </span>            :                 {550,  2017, 1, 3, 5, 0, 1, 2, 1, 2},
<span class="lineNum">      31 </span>            :                 {288,  2017, 1, 3, 6, 0, 1, 2, 1, 2},
<span class="lineNum">      32 </span><span class="lineCov">         14 :                 {18,   2017, 1, 3, 6, 0, 1, 2, 1, 2}};</span>
<span class="lineNum">      33 </span>            : 
<span class="lineNum">      34 </span>            :     eph_i ti = {{334,  1, 2017, 1, 0, 1, 36, 1,  3, 16300, 1},
<span class="lineNum">      35 </span>            :                 {334,  2, 2017, 1, 0, 1, 36, 1,  3, 16300, 1},
<span class="lineNum">      36 </span>            :                 {961,  1, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">      37 </span>            :                 {961,  2, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">      38 </span>            :                 {960,  1, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">      39 </span>            :                 {960,  2, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">      40 </span>            :                 {960,  3, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">      41 </span>            :                 {960,  4, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">      42 </span>            :                 {1366, 1, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">      43 </span>            :                 {1366, 2, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">      44 </span>            :                 {550,  1, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">      45 </span>            :                 {550,  2, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">      46 </span>            :                 {118,  1, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">      47 </span>            :                 {118,  2, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">      48 </span>            :                 {118,  3, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">      49 </span>            :                 {118,  4, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">      50 </span>            :                 {500,  1, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">      51 </span>            :                 {500,  2, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">      52 </span>            :                 {500,  3, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">      53 </span>            :                 {500,  4, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">      54 </span>            :                 {288,  1, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">      55 </span>            :                 {288,  2, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">      56 </span>            :                 {288,  3, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">      57 </span>            :                 {288,  4, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">      58 </span>            :                 {1250, 1, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">      59 </span>            :                 {1250, 2, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">      60 </span>            :                 {1250, 3, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">      61 </span>            :                 {1250, 4, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">      62 </span>            :                 {1550, 1, 2017, 1, 0, 2, 30, 1,  3, 8500,  2},
<span class="lineNum">      63 </span>            :                 {1550, 2, 2017, 1, 0, 2, 30, 1,  3, 8500,  2},
<span class="lineNum">      64 </span>            :                 {1550, 3, 2017, 1, 0, 2, 30, 1,  3, 8500,  2},
<span class="lineNum">      65 </span>            :                 {1550, 4, 2017, 1, 0, 2, 30, 1,  3, 8500,  2},
<span class="lineNum">      66 </span>            :                 {1500, 1, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">      67 </span>            :                 {1500, 2, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">      68 </span>            :                 {1500, 3, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">      69 </span>            :                 {1500, 4, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">      70 </span>            :                 {66,   1, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">      71 </span>            :                 {66,   2, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">      72 </span>            :                 {66,   3, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">      73 </span>            :                 {66,   4, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">      74 </span>            :                 {18,   1, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">      75 </span>            :                 {18,   2, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">      76 </span>            :                 {1388, 1, 2017, 1, 0, 1, 67, 1,  3, 20000, 1},
<span class="lineNum">      77 </span><span class="lineCov">         14 :                 {1388, 2, 2017, 1, 0, 1, 67, 1,  3, 20000, 1}};</span>
<span class="lineNum">      78 </span>            : 
<span class="lineNum">      79 </span><span class="lineCov">         14 :     vector&lt;float&gt; esperado = {0.5, 0.5, 0.5, 0.5, 0.5, 0.5};</span>
<span class="lineNum">      80 </span><span class="lineCov">         14 :     vector&lt;float&gt; resultado = laCasaEstaQuedandoChica(th, ti);</span>
<span class="lineNum">      81 </span>            : 
<span class="lineNum">      82 </span><span class="lineCov">          7 :     int i=0;</span>
<span class="lineNum">      83 </span><span class="lineCov">         91 :     while( i &lt; 6 ) {</span>
<span class="lineNum">      84 </span><span class="lineCov">         42 :         EXPECT_EQ( true, flotante_valido(esperado[i], resultado[i], UMBRAL) );</span>
<span class="lineNum">      85 </span><span class="lineCov">         42 :         i++;</span>
<span class="lineNum">      86 </span>            :     }
<span class="lineNum">      87 </span><span class="lineCov">          7 : }</span>
<a name="88"><span class="lineNum">      88 </span>            : </a>
<span class="lineNum">      89 </span>            : // no hay casas
<span class="lineNum">      90 </span><span class="lineCov">         35 : TEST(laCasaEstaQuedandoChicaTEST, sinCasasChico) {</span>
<span class="lineNum">      91 </span>            : 
<span class="lineNum">      92 </span>            : //                          Región\ +500 /Tipo
<span class="lineNum">      93 </span>            : //                                 v  v  v
<span class="lineNum">      94 </span>            :     eph_h th = {{334,  2017, 1, 1, 1, 0, 2, 2, 1, 2},
<span class="lineNum">      95 </span>            :                 {1366, 2017, 1, 2, 2, 0, 3, 2, 1, 2},
<span class="lineNum">      96 </span>            :                 {118,  2017, 1, 3, 3, 0, 5, 2, 1, 2},
<span class="lineNum">      97 </span>            :                 {1500, 2017, 1, 3, 4, 0, 4, 2, 1, 2},
<span class="lineNum">      98 </span>            :                 {66,   2017, 1, 2, 5, 0, 2, 2, 1, 2},
<span class="lineNum">      99 </span><span class="lineCov">         14 :                 {288,  2017, 1, 3, 6, 0, 2, 2, 1, 2}};</span>
<span class="lineNum">     100 </span>            : 
<span class="lineNum">     101 </span>            :     eph_i ti = {{334,  1, 2017, 1, 0, 1, 36, 1,  3, 16300, 1},
<span class="lineNum">     102 </span>            :                 {1366, 2, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     103 </span>            :                 {118,  1, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     104 </span>            :                 {288,  1, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     105 </span>            :                 {1500, 1, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">     106 </span><span class="lineCov">         14 :                 {66,   1, 2017, 1, 0, 2, 19, 0,  0, 0,     6}};</span>
<span class="lineNum">     107 </span>            : 
<span class="lineNum">     108 </span><span class="lineCov">          7 :     if (!esEncuestaValida(th,ti)) {</span>
<span class="lineNum">     109 </span><span class="lineNoCov">          0 :         ASSERT_TRUE(esEncuestaValida(th,ti));</span>
<span class="lineNum">     110 </span>            :     }
<span class="lineNum">     111 </span>            :     else {
<span class="lineNum">     112 </span><span class="lineCov">         14 :         vector&lt;float&gt; esperado = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0};</span>
<span class="lineNum">     113 </span><span class="lineCov">         14 :         vector&lt;float&gt; resultado = laCasaEstaQuedandoChica(th, ti);</span>
<span class="lineNum">     114 </span>            : 
<span class="lineNum">     115 </span><span class="lineCov">          7 :         int i=0;</span>
<span class="lineNum">     116 </span><span class="lineCov">         91 :         while( i &lt; 6 ) {</span>
<span class="lineNum">     117 </span><span class="lineCov">         42 :             EXPECT_EQ( true, flotante_valido(esperado[i], resultado[i], UMBRAL) );</span>
<span class="lineNum">     118 </span><span class="lineCov">         42 :             i++;</span>
<span class="lineNum">     119 </span>            :         }
<span class="lineNum">     120 </span>            :     }
<span class="lineNum">     121 </span>            : }
<a name="122"><span class="lineNum">     122 </span>            : </a>
<span class="lineNum">     123 </span>            : // Caso (0/0), sin casas con menos 500 (misma region)
<span class="lineNum">     124 </span><span class="lineCov">         35 : TEST(laCasaEstaQuedandoChicaTEST, menos500_2) {</span>
<span class="lineNum">     125 </span>            : 
<span class="lineNum">     126 </span>            : //                          Región\ +500 /Tipo
<span class="lineNum">     127 </span>            : //                                 v  v  v
<span class="lineNum">     128 </span>            :     eph_h th = {{334,  2017, 1, 1, 3, 1, 1, 2, 1, 2},
<span class="lineNum">     129 </span>            :                 {960,  2017, 1, 1, 3, 1, 1, 2, 1, 2},
<span class="lineNum">     130 </span>            :                 {1366, 2017, 1, 2, 3, 1, 1, 2, 1, 2},
<span class="lineNum">     131 </span>            :                 {1250, 2017, 1, 3, 3, 1, 1, 2, 1, 2}, // Esta no: +500
<span class="lineNum">     132 </span>            :                 {1550, 2017, 1, 3, 3, 1, 1, 2, 1, 2},
<span class="lineNum">     133 </span>            :                 {1388, 2017, 1, 3, 3, 1, 1, 2, 1, 2},
<span class="lineNum">     134 </span>            :                 {118,  2017, 1, 3, 3, 1, 1, 2, 1, 2},
<span class="lineNum">     135 </span>            :                 {1500, 2017, 1, 3, 3, 1, 1, 2, 1, 2},
<span class="lineNum">     136 </span>            :                 {500,  2017, 1, 3, 3, 1, 4, 2, 1, 2}, // Esta no: Hotel
<span class="lineNum">     137 </span>            :                 {961,  2017, 1, 1, 3, 1, 1, 2, 1, 2},
<span class="lineNum">     138 </span>            :                 {66,   2017, 1, 2, 3, 1, 1, 2, 1, 2},
<span class="lineNum">     139 </span>            :                 {550,  2017, 1, 3, 3, 1, 1, 2, 1, 2},
<span class="lineNum">     140 </span>            :                 {288,  2017, 1, 3, 3, 1, 1, 2, 1, 2},
<span class="lineNum">     141 </span><span class="lineCov">         14 :                 {18,   2017, 1, 3, 3, 1, 1, 2, 1, 2}};</span>
<span class="lineNum">     142 </span>            : 
<span class="lineNum">     143 </span>            :     eph_i ti = {{334,  1, 2017, 1, 0, 1, 36, 1,  3, 16300, 1},
<span class="lineNum">     144 </span>            :                 {334,  2, 2017, 1, 0, 1, 36, 1,  3, 16300, 1},
<span class="lineNum">     145 </span>            :                 {961,  1, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     146 </span>            :                 {961,  2, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     147 </span>            :                 {960,  1, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     148 </span>            :                 {960,  2, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     149 </span>            :                 {960,  3, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     150 </span>            :                 {960,  4, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     151 </span>            :                 {1366, 1, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     152 </span>            :                 {1366, 2, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     153 </span>            :                 {550,  1, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     154 </span>            :                 {550,  2, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     155 </span>            :                 {118,  1, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     156 </span>            :                 {118,  2, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     157 </span>            :                 {118,  3, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     158 </span>            :                 {118,  4, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     159 </span>            :                 {500,  1, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     160 </span>            :                 {500,  2, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     161 </span>            :                 {500,  3, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     162 </span>            :                 {500,  4, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     163 </span>            :                 {288,  1, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     164 </span>            :                 {288,  2, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     165 </span>            :                 {288,  3, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     166 </span>            :                 {288,  4, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     167 </span>            :                 {1250, 1, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">     168 </span>            :                 {1250, 2, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">     169 </span>            :                 {1250, 3, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">     170 </span>            :                 {1250, 4, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">     171 </span>            :                 {1550, 1, 2017, 1, 0, 2, 30, 1,  3, 8500,  2},
<span class="lineNum">     172 </span>            :                 {1550, 2, 2017, 1, 0, 2, 30, 1,  3, 8500,  2},
<span class="lineNum">     173 </span>            :                 {1550, 3, 2017, 1, 0, 2, 30, 1,  3, 8500,  2},
<span class="lineNum">     174 </span>            :                 {1550, 4, 2017, 1, 0, 2, 30, 1,  3, 8500,  2},
<span class="lineNum">     175 </span>            :                 {1500, 1, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">     176 </span>            :                 {1500, 2, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">     177 </span>            :                 {1500, 3, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">     178 </span>            :                 {1500, 4, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">     179 </span>            :                 {66,   1, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     180 </span>            :                 {66,   2, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     181 </span>            :                 {66,   3, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     182 </span>            :                 {66,   4, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     183 </span>            :                 {18,   1, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     184 </span>            :                 {18,   2, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     185 </span>            :                 {1388, 1, 2017, 1, 0, 1, 67, 1,  3, 20000, 1},
<span class="lineNum">     186 </span><span class="lineCov">         14 :                 {1388, 2, 2017, 1, 0, 1, 67, 1,  3, 20000, 1}};</span>
<span class="lineNum">     187 </span>            : 
<span class="lineNum">     188 </span><span class="lineCov">          7 :     if (!esEncuestaValida(th,ti)) {</span>
<span class="lineNum">     189 </span><span class="lineNoCov">          0 :         ASSERT_TRUE(esEncuestaValida(th,ti));</span>
<span class="lineNum">     190 </span>            :     }
<span class="lineNum">     191 </span>            :     else {
<span class="lineNum">     192 </span><span class="lineCov">         14 :         vector&lt;float&gt; esperado = {0.0, 0.0, 0.0, 0.0, 0.0, 0.0};</span>
<span class="lineNum">     193 </span><span class="lineCov">         14 :         vector&lt;float&gt; resultado = laCasaEstaQuedandoChica(th, ti);</span>
<span class="lineNum">     194 </span>            : 
<span class="lineNum">     195 </span><span class="lineCov">          7 :         int i=0;</span>
<span class="lineNum">     196 </span><span class="lineCov">         91 :         while( i &lt; 6 ) {</span>
<span class="lineNum">     197 </span><span class="lineCov">         42 :             EXPECT_EQ( true, flotante_valido(esperado[i], resultado[i], UMBRAL) );</span>
<span class="lineNum">     198 </span><span class="lineCov">         42 :             i++;</span>
<span class="lineNum">     199 </span>            :         }
<span class="lineNum">     200 </span>            :     }
<span class="lineNum">     201 </span>            : }
<a name="202"><span class="lineNum">     202 </span>            : </a>
<span class="lineNum">     203 </span>            : // Casas en una unica region
<span class="lineNum">     204 </span><span class="lineCov">         35 : TEST(laCasaEstaQuedandoChicaTEST, unicoIndice) {</span>
<span class="lineNum">     205 </span>            : 
<span class="lineNum">     206 </span>            : //                          Región\ +500 /Tipo
<span class="lineNum">     207 </span>            : //                                 v  v  v
<span class="lineNum">     208 </span>            :     eph_h th = {{334,  2017, 1, 1, 1, 0, 1, 2, 1, 2},
<span class="lineNum">     209 </span>            :                 {960,  2017, 1, 1, 1, 0, 1, 2, 1, 2},
<span class="lineNum">     210 </span>            :                 {1366, 2017, 1, 2, 2, 1, 1, 2, 1, 2},
<span class="lineNum">     211 </span>            :                 {1250, 2017, 1, 3, 2, 1, 1, 2, 1, 2}, // Esta no: +500
<span class="lineNum">     212 </span>            :                 {1550, 2017, 1, 3, 2, 1, 1, 2, 1, 2},
<span class="lineNum">     213 </span>            :                 {1388, 2017, 1, 3, 3, 1, 1, 2, 1, 2},
<span class="lineNum">     214 </span>            :                 {118,  2017, 1, 3, 3, 1, 1, 2, 1, 2},
<span class="lineNum">     215 </span>            :                 {1500, 2017, 1, 3, 4, 1, 1, 2, 1, 2},
<span class="lineNum">     216 </span>            :                 {500,  2017, 1, 3, 4, 1, 4, 2, 1, 2}, // Esta no: Hotel
<span class="lineNum">     217 </span>            :                 {961,  2017, 1, 1, 4, 1, 1, 2, 1, 2},
<span class="lineNum">     218 </span>            :                 {66,   2017, 1, 2, 5, 1, 1, 2, 1, 2},
<span class="lineNum">     219 </span>            :                 {550,  2017, 1, 3, 5, 1, 1, 2, 1, 2},
<span class="lineNum">     220 </span>            :                 {288,  2017, 1, 3, 6, 1, 1, 2, 1, 2},
<span class="lineNum">     221 </span><span class="lineCov">         14 :                 {18,   2017, 1, 3, 6, 1, 1, 2, 1, 2}};</span>
<span class="lineNum">     222 </span>            : 
<span class="lineNum">     223 </span>            :     eph_i ti = {{334,  1, 2017, 1, 0, 1, 36, 1,  3, 16300, 1},
<span class="lineNum">     224 </span>            :                 {334,  2, 2017, 1, 0, 1, 36, 1,  3, 16300, 1},
<span class="lineNum">     225 </span>            :                 {961,  1, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     226 </span>            :                 {961,  2, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     227 </span>            :                 {960,  1, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     228 </span>            :                 {960,  2, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     229 </span>            :                 {960,  3, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     230 </span>            :                 {960,  4, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     231 </span>            :                 {1366, 1, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     232 </span>            :                 {1366, 2, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     233 </span>            :                 {550,  1, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     234 </span>            :                 {550,  2, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     235 </span>            :                 {118,  1, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     236 </span>            :                 {118,  2, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     237 </span>            :                 {118,  3, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     238 </span>            :                 {118,  4, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     239 </span>            :                 {500,  1, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     240 </span>            :                 {500,  2, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     241 </span>            :                 {500,  3, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     242 </span>            :                 {500,  4, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     243 </span>            :                 {288,  1, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     244 </span>            :                 {288,  2, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     245 </span>            :                 {288,  3, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     246 </span>            :                 {288,  4, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">     247 </span>            :                 {1250, 1, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">     248 </span>            :                 {1250, 2, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">     249 </span>            :                 {1250, 3, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">     250 </span>            :                 {1250, 4, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">     251 </span>            :                 {1550, 1, 2017, 1, 0, 2, 30, 1,  3, 8500,  2},
<span class="lineNum">     252 </span>            :                 {1550, 2, 2017, 1, 0, 2, 30, 1,  3, 8500,  2},
<span class="lineNum">     253 </span>            :                 {1550, 3, 2017, 1, 0, 2, 30, 1,  3, 8500,  2},
<span class="lineNum">     254 </span>            :                 {1550, 4, 2017, 1, 0, 2, 30, 1,  3, 8500,  2},
<span class="lineNum">     255 </span>            :                 {1500, 1, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">     256 </span>            :                 {1500, 2, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">     257 </span>            :                 {1500, 3, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">     258 </span>            :                 {1500, 4, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">     259 </span>            :                 {66,   1, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     260 </span>            :                 {66,   2, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     261 </span>            :                 {66,   3, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     262 </span>            :                 {66,   4, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     263 </span>            :                 {18,   1, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     264 </span>            :                 {18,   2, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">     265 </span>            :                 {1388, 1, 2017, 1, 0, 1, 67, 1,  3, 20000, 1},
<span class="lineNum">     266 </span><span class="lineCov">         14 :                 {1388, 2, 2017, 1, 0, 1, 67, 1,  3, 20000, 1}};</span>
<span class="lineNum">     267 </span>            : 
<span class="lineNum">     268 </span><span class="lineCov">         14 :     vector&lt;float&gt; esperado = {0.5, 0.0, 0.0, 0.0, 0.0, 0.0};</span>
<span class="lineNum">     269 </span><span class="lineCov">         14 :     vector&lt;float&gt; resultado = laCasaEstaQuedandoChica(th, ti);</span>
<span class="lineNum">     270 </span>            : 
<span class="lineNum">     271 </span><span class="lineCov">          7 :     int i=0;</span>
<span class="lineNum">     272 </span><span class="lineCov">         91 :     while( i &lt; 6 ) {</span>
<span class="lineNum">     273 </span><span class="lineCov">         42 :         EXPECT_EQ( true, flotante_valido(esperado[i], resultado[i], UMBRAL) );</span>
<a name="274"><span class="lineNum">     274 </span><span class="lineCov">         42 :         i++;</span></a>
<span class="lineNum">     275 </span>            :     }
<span class="lineNum">     276 </span><span class="lineCov">         28 : }</span>
</pre>
      </td>
    </tr>
  </table>
  <br>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.13</a></td></tr>
  </table>
  <br>

</body>
</html>
